class Ggrade < ActiveRecord::Base
  belongs_to :assignment
  validates_uniqueness_of :groupnum, :scope => :assignment_id, 
  :message => "has a grade already for this assignment, please use edit"
   validates_numericality_of :grade, :less_than_or_equal_to => 100,
                                     :greater_than_or_equal_to => 0
end
